#                                                                        #
# Configuration for the TYPO3 Flow Framework                             #
#                                                                        #
# This file contains additions to the base configuration for the TYPO3   #
# Flow Framework when it runs in Testing context.                        #
#                                                                        #
# Don't modify this file - instead put your own additions into the       #
# global Configuration directory and its sub directories.                #
#                                                                        #

TYPO3:

  Flow:

    configuration:
      compileConfigurationFiles: FALSE

    core:
      subRequestEnvironmentVariables:
        XDEBUG_CONFIG: 'idekey=FLOW_SUBREQUEST remote_port=9001'

    error:
      exceptionHandler:
        className: 'TYPO3\Flow\Error\DebugExceptionHandler'

        defaultRenderingOptions:
          renderTechnicalDetails: TRUE

      errorHandler:
        exceptionalErrors: ['%E_USER_ERROR%', '%E_RECOVERABLE_ERROR%', '%E_WARNING%', '%E_NOTICE%', '%E_USER_WARNING%', '%E_USER_NOTICE%', '%E_STRICT%']

    resource:
      publishing:
        detectPackageResourceChanges: TRUE

    log:
      systemLogger:
        backendOptions:
          logFileURL: '%FLOW_PATH_DATA%Logs/System_Development.log'
          severityThreshold: '%LOG_DEBUG%'
      securityLogger:
        backendOptions:
          logFileURL: '%FLOW_PATH_DATA%Logs/Security_Development.log'
          severityThreshold: '%LOG_DEBUG%'
      sqlLogger:
        backendOptions:
          logFileURL: '%FLOW_PATH_DATA%Logs/Query_Development.log'
          severityThreshold: '%LOG_DEBUG%'
